async function getData(URL) {
	const response = await fetch(URL);
	const myJson = await response.json();
	return myJson;
}

async function postData(url = "", data = {}) {
	// Default options are marked with *
	const response = await fetch(url, {
		method: "POST", // *GET, POST, PUT, DELETE, etc.
		mode: "cors", // no-cors, *cors, same-origin
		cache: "no-cache", // *default, no-cache, reload, force-cache, only-if-cached
		credentials: "omit", // include, *same-origin, omit
		headers: {
			"Content-Type": "application/json"
			// 'Content-Type': 'application/x-www-form-urlencoded',
		},
		redirect: "follow", // manual, *follow, error
		referrer: "no-referrer", // no-referrer, *client
		body: JSON.stringify(data) // body data type must match "Content-Type" header
	});
	console.log(JSON.stringify(data));
	return await response.json(); // parses JSON response into native JavaScript objects
}





/*SERVER REQUEST ONLY FOR FORM SUBMIT*/
function postFromData(url, data) {
	$.ajax({
		type: "POST",
		url: url,
		data: {
			TravelInfo: data

		},
		success: function(response){
			console.log(response);
			return response;
		},
		 error: function (jqXHR, textStatus, errorThrown) {
               console.log("error on post in add new FTA details");
            }
	});


}

/*async function postFromData(url = "", data = {}) {
	// Default options are marked with *
	const response = await fetch(url, {
		method: "POST", // *GET, POST, PUT, DELETE, etc.
		mode: "cors", // no-cors, *cors, same-origin
		cache: "no-cache", // *default, no-cache, reload, force-cache, only-if-cached
		credentials: "omit", // include, *same-origin, omit
		headers: {
			"Content-Type": "application/json"
			// 'Content-Type': 'application/x-www-form-urlencoded',
		},
		redirect: "follow", // manual, *follow, error
		referrer: "no-referrer", // no-referrer, *client
		data: {
			TravelInfo: data
		} // body data type must match "Content-Type" header
	});
	console.log(data);
	return await response.json(); // parses JSON response into native JavaScript objects
}*/
;;